//software_interrupts.h
#pragma SWI_ALIAS (erase_data_flash_segment, 0)
void erase_data_flash_segment(Uint8 segment);

#pragma SWI_ALIAS (erase_dflash_segment_no_delay, 1)
void erase_dflash_segment_no_delay(Uint8 segment);

#pragma SWI_ALIAS (write_data_flash_word, 3)
void write_data_flash_word(unsigned long * address,unsigned long data);

#pragma SWI_ALIAS (enable_fast_interrupt, 4)
void enable_fast_interrupt(void);

#pragma SWI_ALIAS (disable_fast_interrupt, 5)
void disable_fast_interrupt(void);

#pragma SWI_ALIAS (enable_interrupt, 6)
void enable_interrupt(void);

#pragma SWI_ALIAS (disable_interrupt, 7)
void disable_interrupt(void);

#pragma SWI_ALIAS (write_firqpr, 8)
void write_firqpr(unsigned long value);

#pragma SWI_ALIAS (write_reqmask, 9)
void write_reqmask(unsigned long value);

#pragma SWI_ALIAS (set_supervisor_mode, 10)
void set_supervisor_mode(void);

#pragma SWI_ALIAS (set_user_mode, 11)
void set_user_mode(void);

#pragma SWI_ALIAS (clear_integrity_word, 12)
void clear_integrity_word(void);

#pragma SWI_ALIAS (erase_pflash, 14)
void erase_pflash(void);

